# Generated by Django 2.1.3 on 2018-11-28 12:10

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Book',
            fields=[
                ('isbn', models.CharField(max_length=20, primary_key=True, serialize=False, verbose_name='ISBN')),
                ('book_name', models.CharField(max_length=70, verbose_name='Name')),
                ('author_name', models.CharField(max_length=70, verbose_name='Author')),
            ],
        ),
        migrations.CreateModel(
            name='BookDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('num_pages', models.PositiveIntegerField(default=0, verbose_name='Number of pages')),
                ('genre', models.CharField(max_length=70, verbose_name='Genre')),
                ('ratings', models.DecimalField(decimal_places=1, default=0, max_digits=2, verbose_name='Ratings')),
                ('pub_year', models.PositiveIntegerField(verbose_name='Published Year')),
                ('price', models.CharField(max_length=70, verbose_name='Price')),
                ('book', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='bookDb.Book')),
            ],
        ),
    ]
